#include <kapp.h>
#include "toplevel.h"

#include <iostream.h>

int main( int argc, char **argv )
{
  QString appName( "khexedit" );
  KApplication app( argc, argv, appName );
  
  if( app.isRestored() != 0 )
  {
    RESTORE( KHexEdit );
  }
  else
  {
    KHexEdit *hexEdit = new KHexEdit;
    if( hexEdit == 0 || hexEdit->isValid() == false )
    {
      cerr << "Unable to start - Memory exhausted" << endl;
      return( 1 );
    }

    //hexEdit->readConfiguration();
    hexEdit->show();

    //
    // For now we assume all commandline args. that have not been 
    // detected are filenames.
    //
    if( argc > 1 )
    {
      QStrList list;
      for( int i=1; i<argc; i++)
      {
	list.append( argv[i] );
      }
      hexEdit->open( list );
    }

  }

  return( app.exec() );
}
